Page MenuHomePhabricator

Make sure abandoned useful tools are properly advertised so potentially interested new maintainers could find them
Open, Needs TriagePublic

Description

Often times tools (in general; not specific to tool labs) are abandoned by their maintainers, such as T152049: New Maintainer needed for LanguageTool WikiCheck on Toolforge (used to be hosted outside tool labs, LGPL, defunct), and T92963: Fix tool kmlexport (tool labs tool, seemingly open source but no license, functional but unmaintained and can break from time to time). These tools are seemingly widely used prior to abandonment, but their prior maintainers could not continue the maintenance due to lack or time, energy, resource, or willingness.

On the other hand, while we have the Right to Fork Policy and the Abandoned Tool Policy, they operate on the assumption that there will be a developer showing up that wants to fork, adopt, or usurp the tool. The question remains on whether the developer would show up at all, as most users of such tools are not developers and may not have the capabilities to maintain the tool.

For bots, we usually have a bot requests page in which, whenever a bot gets defunct, someone will post a notice and a capable bot owner may take over; I haven't found similar pages for tools though. There should be some list of abandoned-by-maintainers tools so new maintainer can find and adopt them. The adoption could be done under Abandoned Tool Policy (if already on tool labs), or via forking to tool labs or other parts of labs if necessary (for FOSS non-labs tools).

Event Timeline

zhuyifei1999 raised the priority of this task from Normal to Needs Triage.Mar 4 2017, 7:39 AM
zhuyifei1999 created this task.
Huji updated the task description. (Show Details)Mar 4 2017, 2:54 PM
zhuyifei1999 updated the task description. (Show Details)Mar 4 2017, 3:50 PM

1 more example:

  • Guillom is crazy busy right now, and doesn't have time to maintain https://tools.wmflabs.org/mrmetadata/ - he would be happy for it to have a new maintainer/owner (per direct IRC communication, and purposefully not CCing him)

Do we envision this current informal process as being the preferred one?
I.e. Should I just create a new task for MrMetadata, place it in Toolforge-standards-committee and then perhaps also create a wikitech page to list these tasks/tools that need adoption?

bd808 moved this task from Triage to Tools on the Cloud-Services board.Mar 26 2017, 9:02 PM

I would suggest a workboard column or subproject of Toolforge-standards-committee for this.

bd808 moved this task from Triage to Tracking on the Toolforge board.Mar 26 2017, 10:19 PM

My suggestion to the Toolforge-standards-committee is to make a "milestone" sub-project of their project named something like "Maintainer needed". This would make it show as a column on their workboard and also allow making a more detailed workboard just for the items in that project that could be used to organize things in various ways (project type, target audience, etc) that may be useful for advertising the projects.

Trying to rephrase the last comment and hoping I get it right:

  • The Toolforge-standards-committee project itself would get a milestone called "Maintainer needed".
  • Every abandoned tool has a dedicated "Become the maintainer of XYZ" (or so) task, with that milestone tag associated (and the tool tag if existing in Phab)
  • We can directly link to that milestone workboard, listing all tasks (=abandoned tools) we are aware of. That milestone workboard allows organizing things. The link also allows to advertise the list of tools looking for a maintainer in other places.
  • All tasks under that milestone are also on the #Tool-Labs-standards-committee workboard at https://phabricator.wikimedia.org/project/board/2457/

Yeah, sounds like something to try?

Yeah, sounds like something to try?

+1 from me. That sounds like a pretty flexible and workable system for tracking these tools.

Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptAug 7 2017, 10:43 AM
-jem- added a subscriber: -jem-.Aug 23 2017, 7:08 PM

+1, yes please, Andre!

Restricted Application added a subscriber: jeblad. · View Herald TranscriptAug 25 2017, 7:00 PM

Wondering what's left to do here?
Should this be documented somewhere™?
Also wondering whether to link to it from https://www.mediawiki.org/wiki/Gerrit/Project_ownership#Requesting_repository_ownership as it's "related"?

Harej edited projects, added Toolhub; removed Tools, Toolforge.Mar 6 2018, 12:13 AM
Gryllida added a subscriber: Gryllida.
Harej moved this task from Backlog to Radar on the Toolhub board.Apr 9 2018, 9:47 PM
GTirloni removed a subscriber: GTirloni.Mar 21 2019, 9:06 PM

@bd808 I have a small suggestion.

Should this be documented somewhere™?

My suggestion is to add a link of 'Tools requiring maintainers' to https://wikitech.wikimedia.org/wiki/Help:Toolforge page.